Name:           perl-Log-Syslog-Constants
Version:        1.02
Release:        1%{?dist}
Summary:        Perl extension containing syslog priority constants as defined in RFC3164
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://search.cpan.org/dist/Log-Syslog-Constants/
Source0:        https://www.cpan.org/authors/id/A/AT/ATHOMASON/Log-Syslog-Constants-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(strict)
Requires:       perl(warnings)

%{?perl_default_filter}

%description
Syslog messages--as standardized in RFC3164--embed a priority number (the
PRI part) which is composed of a severity and a facility value. The
constants which encode these values are specified in section 4.1.1, and are
made available by this module. For instance, the exportable LOG_FTP
constant has a value of 11, the value for the FTP facility.

%prep
%setup -q -n Log-Syslog-Constants-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes Log-Syslog-Constants.spec README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 03 2023 yaroslav@fedevych.name 1.02-1
- Specfile autogenerated by cpanspec 1.78.
